package ui;

import java.util.*;
import java.awt.Point;
import static gol.GameOfLife.*;

public class GameStart {
  public static void main(String[] args) throws Exception {
    List<Point> cells = List.of(
      new Point(5, 4), new Point(5, 5), new Point(5, 6),
      new Point(6, 4), new Point(6, 6),
      new Point(7, 4), new Point(7, 5), new Point(7, 6),
      new Point(8, 4), new Point(8, 5), new Point(8, 6),
      new Point(9, 4), new Point(9, 5), new Point(9, 6),
      new Point(10, 4), new Point(10, 5), new Point(10, 6),
      new Point(11, 4), new Point(11, 6),
      new Point(12, 4), new Point(12, 5), new Point(12, 6)
    );
    
                         
    while(true) { 
      System.out.println("\033[H\033[2J");

      List<Point> bounds = boundsFor(cells);

      for(int x = bounds.get(0).x; x <= bounds.get(1).x; x++) {
        for(int y = bounds.get(0).y; y <= bounds.get(1).y; y++) {
          System.out.print(cells.contains(new Point(x, y)) ? 'x' : ' ');
        }                 
        System.out.println("");
      }
       
      cells = nextGeneration(cells);
      
      Thread.sleep(500);
    }
  }
}